libgdamm: Gnome::Gda::Column Class Reference

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions

# Gnome::Gda::Column Class Reference
[Data Handlers]

Management of DataModel column attributes. More...

Inheritance diagram for Gnome::Gda::Column:
[legend]
Collaboration diagram for Gnome::Gda::Column:
[legend]

List of all members.

## Public Member Functions
virtual | ~Column ()
GdaColumn* | gobj ()
| Provides access to the underlying C GObject.
const GdaColumn* | gobj () const
| Provides access to the underlying C GObject.
GdaColumn* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::RefPtr< Column > | copy () const
| Creates a new Gda::Column object from an existing one.
bool | equal (const Glib::RefPtr< const Column >& src) const
Glib::ustring | get_description () const
void | set_description (const Glib::ustring& title)
| Sets the column's description.
void | set_attribute (const Glib::ustring& attribute, const Value&value)
Value | get_attribute (const Glib::ustring& attribute) const
| Get the value associated to a named attribute.
Glib::ustring | get_name () const
void | set_name (const Glib::ustring& name)
| Sets the name of column to name.
Glib::ustring | get_dbms_type () const
void | set_dbms_type (const Glib::ustring& dbms_type)
| Defines column's database type.
GType | get_g_type () const
void | set_g_type (GType type)
| Sets the type of column to type.
bool | get_allow_null () const
| Gets the 'allow null' flag of the given column.
void | set_allow_null (bool allow=true)
| Sets the 'allow null' flag of the given column.
bool | get_auto_increment () const
void | set_auto_increment (bool is_auto=true)
| Sets the auto increment flag for the given column.
gint | get_position () const
void | set_position (gint position)
| Sets the position of the column refer to in the containing data model.
Value | get_default_value () const
void | set_default_value (const Value& default_value)
| Sets column's default Value.
Glib::SignalProxy1< void, const Glib::ustring& > | signal_name_changed ()
Glib::SignalProxy2< void, GType, GType > | signal_g_type_changed ()
Glib::PropertyProxy < Glib::ustring > | property_id ()
| Column's Id (warning: the column's ID is not guaranteed to be unique in a GdaDataModel).
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_id () const
| Column's Id (warning: the column's ID is not guaranteed to be unique in a GdaDataModel).
## Static Public Member Functions
static Glib::RefPtr< Column > | create ()
## Protected Member Functions
| Column ()
virtual void | on_name_changed (const Glib::ustring& old_name)
virtual void | on_g_type_changed (GType old_type, GType new_type)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gnome::Gda::Column > | wrap (GdaColumn* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Management of DataModel column attributes.

## Constructor & Destructor Documentation

virtual Gnome::Gda::Column::~Column | ( | ) | `[virtual]`

Gnome::Gda::Column::Column | ( | ) | `[protected]`

## Member Function Documentation

Glib::RefPtr<Column> Gnome::Gda::Column::copy | ( | ) | const

Creates a new Gda::Column object from an existing one.

Returns:
  A newly allocated Gda::Column with a copy of the data in column.

static Glib::RefPtr<Column> Gnome::Gda::Column::create | ( | ) | `[static]`

bool Gnome::Gda::Column::equal | ( | const Glib::RefPtr< const Column >& | src ) | const

bool Gnome::Gda::Column::get_allow_null | ( | ) | const

Gets the 'allow null' flag of the given column.

Returns:
  Whether the given column allows null values or not (`true` or `false`).

Value Gnome::Gda::Column::get_attribute | ( | const Glib::ustring & | attribute ) | const

Get the value associated to a named attribute.

Attributes can have any name, but Libgda proposes some default names, see .

Parameters:

  attribute | Attribute name as a string.

Returns:
  A read-only Value, or `0` if not attribute named attribute has been set for column.

bool Gnome::Gda::Column::get_auto_increment | ( | ) | const

Returns:
  Whether the given column is an auto incremented one (`true` or `false`).

Glib::ustring Gnome::Gda::Column::get_dbms_type | ( | ) | const

Returns:
  The database type of column.

Value Gnome::Gda::Column::get_default_value | ( | ) | const

Returns:
  column's default value, as a Value object.

Glib::ustring Gnome::Gda::Column::get_description | ( | ) | const

Returns:
  The column's description, in any.

GType Gnome::Gda::Column::get_g_type | ( | ) | const

Returns:
  The type of column.

Glib::ustring Gnome::Gda::Column::get_name | ( | ) | const

Returns:
  The name of column.

gint Gnome::Gda::Column::get_position | ( | ) | const

Returns:
  The position of the column refer to in the containing data model.

const GdaColumn* Gnome::Gda::Column::gobj | ( | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GdaColumn* Gnome::Gda::Column::gobj | ( | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GdaColumn* Gnome::Gda::Column::gobj_copy | ( | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

virtual void Gnome::Gda::Column::on_g_type_changed | ( | GType | old_type,
|  | GType | new_type
| ) |  | `[protected, virtual]`

virtual void Gnome::Gda::Column::on_name_changed | ( | const Glib::ustring & | old_name ) | `[protected, virtual]`

Glib::PropertyProxy<Glib::ustring> Gnome::Gda::Column::property_id | ( | ) |

Column's Id (warning: the column's ID is not guaranteed to be unique in a GdaDataModel).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gnome::Gda::Column::property_id | ( | ) | const

Column's Id (warning: the column's ID is not guaranteed to be unique in a GdaDataModel).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gnome::Gda::Column::set_allow_null | ( | bool | allow = `true` ) |

Sets the 'allow null' flag of the given column.

Parameters:

  allow | Whether the given column should allows null values or not.

void Gnome::Gda::Column::set_attribute | ( | const Glib::ustring & | attribute,
|  | const Value& | value
| ) |  |

void Gnome::Gda::Column::set_auto_increment | ( | bool | is_auto = `true` ) |

Sets the auto increment flag for the given column.

Parameters:

  is_auto | Auto increment status.

void Gnome::Gda::Column::set_dbms_type | ( | const Glib::ustring & | dbms_type ) |

Defines column's database type.

Parameters:

  dbms_type | A string.

void Gnome::Gda::Column::set_default_value | ( | const Value& | default_value ) |

Sets column's default Value.

Parameters:

  default_value | Default Value for the column.

void Gnome::Gda::Column::set_description | ( | const Glib::ustring & | title ) |

Sets the column's description.

Parameters:

  title | Title name.

void Gnome::Gda::Column::set_g_type | ( | GType | type ) |

Sets the type of column to type.

Parameters:

  type | The new type of column.

void Gnome::Gda::Column::set_name | ( | const Glib::ustring & | name ) |

Sets the name of column to name.

Parameters:

  name | The new name of column.

void Gnome::Gda::Column::set_position | ( | gint | position ) |

Sets the position of the column refer to in the containing data model.

Parameters:

  position | The wanted position of the column in the containing data model.

Glib::SignalProxy2< void,GType,GType > Gnome::Gda::Column::signal_g_type_changed | ( | ) |

Prototype:
  `void on_my_g_type_changed(GType old_type, GType new_type)`

Glib::SignalProxy1< void,const Glib::ustring& > Gnome::Gda::Column::signal_name_changed | ( | ) |

Prototype:
  `void on_my_name_changed(const Glib::ustring& old_name)`

## Friends And Related Function Documentation

Glib::RefPtr< Gnome::Gda::Column > wrap | ( | GdaColumn * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- libgdamm/column.h